# Gimp.ValueArray.insert

    @accepts(Gimp.ValueArray, int, GObject.Value)
    @returns(Gimp.ValueArray)
    def insert(self, index, value):
        # Python wrapper for gimp_value_array_insert()

Insert a copy of value at specified position into self. If value is None, an uninitialized value is inserted.

Since 2.10

self

  Gimp.ValueArray to add an element to

index

  insertion position, must be &lt;= Gimp.ValueArray.length

value

  GObject.Value to copy into Gimp.ValueArray, or None

Returns